typedef enum {
  LPF,        /* low pass filter */
  HPF,        /* High pass filter */
  BPF,        /* band pass filter */
  BPF2,        /* band pass filter */
  BSF ,      /* band stop Filter */
  LPFTEST ,
  HPFTEST ,
  BPFTEST ,
  BSFTEST 
  } FilterShape  ;


typedef struct FIRSpecification {
  FilterShape shape ;
  double f1 , f2, ft, fN;
  double dBatten ;
  double dBripple ;
  int order ; // -1 causes estimation
  int mod ; // >0 causes order % mod == 0
  double scale ;
  int shift ;
  char* fname ;
  } FIRSpecification ;


#define true 1
#define false 0
#define MAXgridSize 10000 
#define MAXtaps 10000
#define MAXh 10000
#define MAXbands 100
#define MAXr 1000 
