`default_nettype none

module outputSelector( 
  input wire clk_i ,  
  input wire ena_i ,
  input wire signed [ 48-1:0] FIRsum_i , 
  input wire [32-1:0] selector_i ,
  output reg signed [ 14-1:0] FIRout_o 
  );

always @(posedge clk_i) begin
  if ( ena_i) begin
    case(selector_i)
     0: begin FIRout_o <= FIRsum_i [ 0+14-1: 0+0]  ; end
     1: begin FIRout_o <= FIRsum_i [ 1+14-1: 1+0]  ; end
     2: begin FIRout_o <= FIRsum_i [ 2+14-1: 2+0]  ; end
     3: begin FIRout_o <= FIRsum_i [ 3+14-1: 3+0]  ; end
     4: begin FIRout_o <= FIRsum_i [ 4+14-1: 4+0]  ; end  
     5: begin FIRout_o <= FIRsum_i [ 5+14-1: 5+0]  ; end  
     6: begin FIRout_o <= FIRsum_i [ 6+14-1: 6+0]  ; end  
     7: begin FIRout_o <= FIRsum_i [ 7+14-1: 7+0]  ; end
     8: begin FIRout_o <= FIRsum_i [ 8+14-1: 8+0]  ; end
     9: begin FIRout_o <= FIRsum_i [ 9+14-1: 9+0]  ; end      
    10: begin FIRout_o <= FIRsum_i [10+14-1:10+0]  ; end
    11: begin FIRout_o <= FIRsum_i [11+14-1:11+0]  ; end
    12: begin FIRout_o <= FIRsum_i [12+14-1:12+0]  ; end
    13: begin FIRout_o <= FIRsum_i [13+14-1:13+0]  ; end
    14: begin FIRout_o <= FIRsum_i [14+14-1:14+0]  ; end
    15: begin FIRout_o <= FIRsum_i [15+14-1:15+0]  ; end
    16: begin FIRout_o <= FIRsum_i [16+14-1:16+0]  ; end
    17: begin FIRout_o <= FIRsum_i [17+14-1:17+0]  ; end
    18: begin FIRout_o <= FIRsum_i [18+14-1:18+0]  ; end  
    19: begin FIRout_o <= FIRsum_i [19+14-1:19+0]  ; end  
    20: begin FIRout_o <= FIRsum_i [20+14-1:20+0]  ; end  
    21: begin FIRout_o <= FIRsum_i [21+14-1:21+0]  ; end
    22: begin FIRout_o <= FIRsum_i [22+14-1:22+0]  ; end
    23: begin FIRout_o <= FIRsum_i [23+14-1:23+0]  ; end      
    24: begin FIRout_o <= FIRsum_i [24+14-1:24+0]  ; end
    25: begin FIRout_o <= FIRsum_i [25+14-1:25+0]  ; end
    26: begin FIRout_o <= FIRsum_i [26+14-1:26+0]  ; end
    27: begin FIRout_o <= FIRsum_i [27+14-1:27+0]  ; end
    28: begin FIRout_o <= FIRsum_i [28+14-1:28+0]  ; end
    29: begin FIRout_o <= FIRsum_i [29+14-1:29+0]  ; end
    30: begin FIRout_o <= FIRsum_i [30+14-1:30+0]  ; end
    31: begin FIRout_o <= FIRsum_i [31+14-1:31+0]  ; end
    32: begin FIRout_o <= 0                        ; end
    endcase
  end
end
          
endmodule

`default_nettype wire  